#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <iostream>
#include <cstring>
#include <fstream>
#include <string>

#include "api/BamMultiReader.h"
#include "api/BamReader.h"

using namespace BamTools;
using namespace std;

int main(int argc, char* argv[])
{
  BamReader bamReader;
  RefVector references;

  if (!bamReader.Open(argv[1]))
  {
      cerr << "Error opening bam file '" << argv[1] << "'" << endl;
      return 1;
  }

  references = bamReader.GetReferenceData();

  cout << "ref: " << references[0].RefName << ", length: " << references[0].RefLength << "\n";
}
